<?xml version="1.0"?>
<!--DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"-->

<!DOCTYPE xsl:stylesheet [
    <!ENTITY nbsp "&#160;">
    <!ENTITY amp  "&#233;">
    <!ENTITY copy "&#169;">
]>

<xsl:stylesheet version="1.0"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
        xmlns:xsi="http://www.w3.org/2000/10/XMLSchema-instance">
  <xsl:output method="html" indent="yes" />

<xsl:template match="/">
 <html>
  <head>
   <link rel="stylesheet" type="text/css" href="{$cssDir}/ftd.css" />
   <script language="JavaScript" src="{$cssDir}/javascript.js"></script>
   <xsl:value-of select="EventInfo/WatchlistJSPostinfo" disable-output-escaping="yes"/>
  </head>
  <body background="{$imgDir}/allbg.gif" alink="#163657" vlink="#163657" link="#163657" text="#000000">

   <table width="100%" cellspacing="0" cellpadding="0" border="0">
    <tr>
     <td>
      <xsl:apply-templates name="Event" select="EventInfo/Event" />
     </td>
    </tr>

    <tr>
     <td>
      <table width="100%" border="0" style="border-right: 2px solid #409EFF;" cellspacing="0" cellpadding="0">
       <tr class="shtext">
        <td width="26" background="{$imgDir}/bleft.bmp">
        </td>
        <td width="*" background="{$imgDir}/mainbg.bmp">
         <center>
          <xsl:choose>
           <xsl:when test="EventInfo/Event/Locked = 0">
            <a href="iets.html#forumpost"><img onMouseOver="this.src = '{$imgDir}/but1-2.gif';" onMouseOut="this.src = '{$imgDir}/but1-1.gif';" src="{$imgDir}/but1-1.gif" border="0" /></a>
            <a href="iets.html#kudos"><img onMouseOver="this.src = '{$imgDir}/but2-2.gif';" onMouseOut="this.src = '{$imgDir}/but2-1.gif';" src="{$imgDir}/but2-1.gif" border="0" /></a>
           </xsl:when>
          </xsl:choose>
<!--
          <a href="iets.html#x" onMouseDown="alert('Indien je extra pars wilt aanvragen, dien je eerst een berichtje te plaatsen bij deze post.');"><img onMouseOver="this.src = '{$imgDir}/but3-2.gif';" onMouseOut="this.src = '{$imgDir}/but3-1.gif';" src="{$imgDir}/but3-1.gif" border="0" /></a>
          <img style="cursor: hand;" onMouseDown="alert('Voor het toevoegen van PAR bestanden is een grondige kennis van de werking van PAR bestanden benodigd. Zet een vinkje voor \'Activeer mogelijkheid tot toevoegen extra pars\' in het Config scherm als jij over die kennis beschikt.');" onMouseOver="this.src = '{$imgDir}/but4-2.gif';" onMouseOut="this.src = '{$imgDir}/but4-1.gif';" src="{$imgDir}/but4-1.gif" border="0"/>
-->
         </center>
        </td>
       </tr>
      </table>
     </td>
    </tr>
   </table>

   <table cellspacing="0" cellpadding="0" width="100%">
    <tr>
     <td width="26">
      <img src="{$imgDir}/botleft.bmp"/>
     </td>
     <td width="*" background="{$imgDir}/botbot.bmp" align="right" valign="top">
      <font>FTD4Linux 1.0 &#169; 2003-2006 <a style="color: #A6A8C9;" href="#ftdmailAlguno">Alguno</a>.</font>
     </td>
     <td width="71" background="{$imgDir}/botbot.bmp">
      <img src="{$imgDir}/ftdfooter.gif"/>
     </td>
     <td width="*" background="{$imgDir}/botbot.bmp" valign="top">
      <font>Gehost door <a style="color: #C3C6ED;" href="iets.html#linkhttp://www.quickhost.nl/?ref=1" target="_blank"> <b>QuickHost</b></a> - Webhosting &amp; More</font>
     </td>
    </tr>
   </table>
  </body>
 </html>
</xsl:template>

<xsl:template match="Event">
 <table class="main" border="0" cellspacing="0" cellpadding="0" width="100%">
  <tr class="header">
   <td width="33">
    <xsl:choose>
     <xsl:when test="Status = -2">
      <center><img src="{$imgDir}/kill.bmp" /></center>
     </xsl:when>
     <xsl:when test="Status = -1">
      <center><img src="{$imgDir}/spot.bmp" /></center> <!-- spot -->
     </xsl:when>
     <xsl:when test="Status = 0">
      <center><img src="{$imgDir}/gray.bmp" /></center> <!-- ready -->
     </xsl:when>
     <xsl:when test="Status = 1">
      <center><img src="{$imgDir}/brown.bmp" /></center> <!-- announce -->
     </xsl:when>
     <xsl:when test="Status = 2">
      <center><img src="{$imgDir}/green.bmp" /></center> <!-- uploading -->
     </xsl:when>
     <xsl:when test="Status = 3">
      <center><img src="{$imgDir}/red.bmp" /></center> <!-- unsupp -->
     </xsl:when>
    </xsl:choose>
   </td>
   <td width="*" background="{$imgDir}/headerbg.bmp">
    <span style="white-space: nowrap;"><xsl:value-of select="Title" disable-output-escaping="yes" /></span>
   </td>
   <td width="46" background="{$imgDir}/headerbg.bmp">
    <a href="iets.html#nzb"><img src="{$imgDir}/nzb.gif" border="0" /></a>
   </td>
   <td width="46" background="{$imgDir}/headerbg.bmp">
    <img src="{$imgDir}/cbg_{Cat}{SCat}.gif"/>
   </td>
   <td width="30" background="{$imgDir}/headerbg.bmp">
    <xsl:choose>
     <xsl:when test="Link != ''">
      <a href="iets.html#link{Link}"><img alt="Link naar het web" src="{$imgDir}/b1-2.bmp" onMouseOver="this.src = '{$imgDir}/b1-3.bmp'" onMouseOut="this.src = '{$imgDir}/b1-2.bmp'" border="0" /></a>
     </xsl:when>
     <xsl:when test="Link = ''">
      &nbsp;
     </xsl:when>
    </xsl:choose>
   </td>
   <td width="26" background="{$imgDir}/headerbg.bmp">
    <xsl:choose>
     <xsl:when test="Watchlist = 1">
      <a href="iets.html#dllist"><img id="dlbut" name="dlbut" alt="toevoegen/verwijderen van downloadlist" src="{$imgDir}/b4-3.bmp" onClick="dllist(2);" onMouseOver="dllist(0);" onMouseOut="dllist(1);" border="0" /></a>
     </xsl:when>
     <xsl:when test="Watchlist = 0">
      <a href="iets.html#dllist"><img id="dlbut" name="dlbut" alt="toevoegen/verwijderen van downloadlist" src="{$imgDir}/b4-1.bmp" onClick="dllist(2);" onMouseOver="dllist(0);" onMouseOut="dllist(1);" border="0" /></a>
     </xsl:when>
    </xsl:choose>
   </td>
   <td width="33" background="{$imgDir}/headerend.bmp">
    &nbsp;
   </td>
  </tr>
 </table>

 <table class="main" border="0" cellspacing="0" cellpadding="0" width="100%">
  <tr class="shtext">
    <td width="35" height="3">
     <img src="{$imgDir}/subheaderleft_top.bmp" />
    </td>
    <td width="531">
     <img src="{$imgDir}/subheader_top.bmp" />
    </td>
    <td width="*" background="{$imgDir}/subheaderbg_top.bmp">
     <img src="{$imgDir}/subheaderbg_top.bmp" />
    </td>
    <td width="33">
     <img src="{$imgDir}/subheaderend_top.bmp" />
    </td>
  </tr>
  <tr class="shtext">
   <td width="35" height="25">
    <img src="{$imgDir}/subheaderleft.bmp" />
   </td>
   <td width="531" background="{$imgDir}/subheader.bmp" valign="top">
    <table style="color: #204F7F; font-size: 10px;" border="0" cellspacing="0" cellpadding="0">
     <tr>
      <td width="173"><a href="iets.html#info{Poster}"><xsl:value-of select='Poster' /></a> <a href="iets.html#ftdmail{Poster}"><img src="{$imgDir}/mailicon.gif" border="0" /></a></td>
      <td width="133"><xsl:value-of select='Datum' /></td>
      <td width="78"><xsl:value-of select='PostID' /></td>
      <td width="76"><a href="iets.html#showkudos"><xsl:value-of select='Kudos' /></a></td>
      <td width="72"><xsl:value-of select='NumViews' /></td>
     </tr>
    </table>
   </td>
   <td width="*" class="sublength" background="{$imgDir}/subheaderbg.bmp" valign="top">
    <xsl:value-of select='Newsgroups' />
   </td>
   <td width="33" background="{$imgDir}/subheaderend.bmp">
    &nbsp;
   </td>
  </tr>
 </table>

 <table width="100%" style="border-right: 2px solid #409EFF;" cellspacing="0" cellpadding="0" border="0">

 <!-- DESCRIPTION -->
 <xsl:choose>
  <xsl:when test='Des != ""'>
   <tr>
    <td width="26" background="{$imgDir}/bleft.bmp">
     &nbsp;
    </td>
    <td width="*" background="{$imgDir}/mainbg.bmp" style="padding-right: 15px;">
     <table width="100%" background="{$imgDir}/lightbg.bmp" class="infobox" style="font-size: 11px;" border="1">
      <tr>
       <td style="padding: 10px;">
        <xsl:choose>
         <xsl:when test="Img != ''">
          <div id="postimagediv" style="height: 0px; width: 0px; float: left; overflow: hidden;">
           <img onLoad="resizeimage();" src="{Img}" border="0" align="left" id="postimage" />
          </div>
         </xsl:when>
        </xsl:choose>
        <xsl:value-of select="Des" disable-output-escaping="yes" />
        <br /><br />
        <b><u><i><div style="font-size: 13px;">Postinformatie :</div></i></u></b><br />
        <xsl:value-of select="TagInfo" disable-output-escaping="yes" />
       </td>
      </tr>
     </table>
     <br />
    </td>
   </tr>
  </xsl:when>
 </xsl:choose>

<!-- ANNOUNCE -->
 <xsl:choose>
  <xsl:when test="Ann != ''">
   <tr>
    <td width="26" background="{$imgDir}/bleft.bmp">
     <img src="{$imgDir}/header0.bmp" />
    </td>
    <td width="*" background="{$imgDir}/mainbg.bmp" style="padding-right: 15px;">
     <table width="100%" border="1">
      <tr>
       <td background="{$imgDir}/lightbg2.bmp">
        <div class="annbox" style="font-size: 11px;"><xsl:value-of select="Ann" disable-output-escaping="yes" /></div>
       </td>
      </tr>
     </table>
    </td>
   </tr>

   <tr>
    <td background="{$imgDir}/bleft.bmp">
     &nbsp;
    </td>
    <td background="{$imgDir}/mainbg.bmp">
     &nbsp;
    </td>
   </tr>
  </xsl:when>
 </xsl:choose>

<!-- SIGNATURE -->
 <xsl:choose>
  <xsl:when test='Sig != ""'>
   <tr valign='top'>
    <td width="26" background="{$imgDir}/bleft.bmp">
     <img src="{$imgDir}/header1.bmp" />
    </td>
    <td width="*" background="{$imgDir}/mainbg.bmp" style="padding-right: 15px;">
     <table width="100%" border="1">
      <tr>
       <td background="{$imgDir}/lightbg4.bmp">
        <div class="sigbox" style="font-size: 11px; color: #2E442D; margin-right: 15px; font-family: Tahoma">
         <xsl:value-of select='Sig' disable-output-escaping="yes" />
        </div>
       </td>
      </tr>
     </table>
    </td>
   </tr>

   <tr>
    <td background="{$imgDir}/bleft.bmp">
     &nbsp;
    </td>
    <td background="{$imgDir}/mainbg.bmp">
     &nbsp;
    </td>
   </tr>
  </xsl:when>
 </xsl:choose>

<!-- FILES -->
 <xsl:choose>
  <xsl:when test="FType = 5"><!-- MP3 Tracks -->
   <tr valign="top">
    <td width="26" background="{$imgDir}/bleft.bmp">
     &nbsp;
    </td>
    <td width="*" background="{$imgDir}/mainbg.bmp" style="padding-right: 27px; padding-top: 3px;" cellpadding="0" class="filebox">
     <table cellspacing="0" cellpadding="0" border="0" class="filestable">
      <xsl:for-each select="MP3/Track">
       <tr>
        <td width="20">
         &nbsp;
        </td>
        <td width="*">
         <xsl:value-of select="." />
        </td>
        <td width="20">
         &nbsp;
        </td>
       </tr>
      </xsl:for-each>
     </table>
    </td>
   </tr>
  </xsl:when>
  <xsl:when test="FType != 5">
   <tr valign="top">
    <td width="26" background="{$imgDir}/bleft.bmp">
     &nbsp;
    </td>
    <td width="*" background="{$imgDir}/mainbg.bmp" style="padding-right: 15px; padding-top: 3px;">
     <div class="filebox">
      <table cellspacing="0" cellpadding="0" border="1" width="100%">
       <tr>
        <td background="{$imgDir}/lightbg3.bmp">
         <table cellspacing="0" cellpadding="0" border="0" class="filestable" width="100%">
          <tr>
           <td width="20"></td>
           <td width="*"></td>
           <td width="20"></td>
           <td width="20"></td>
           <td width="*"></td>
           <td width="20"></td>
           <td width="20"></td>
           <td width="*"></td>
           <td width="20"></td>
          </tr>
          <xsl:choose>
           <xsl:when test="FType = 1">
           <!--RAR - .rar .r00 .r01-->
            <xsl:call-template name="files_1_2">
             <xsl:with-param name="end" select="Files"/>
             <xsl:with-param name="begin" select="FStart"/>
             <xsl:with-param name="count" select="FStart"/>
            </xsl:call-template>
           </xsl:when>
           <xsl:when test="FType = 2">
           <!--ACE - .ace .a00 .a01-->
            <xsl:call-template name="files_1_2">
             <xsl:with-param name="end" select="Files"/>
             <xsl:with-param name="begin" select="FStart"/>
             <xsl:with-param name="count" select="FStart"/>
            </xsl:call-template>
           </xsl:when>
           <xsl:when test="FType = 3">
            <xsl:call-template name="files_3">
             <xsl:with-param name="extension">zip</xsl:with-param>
             <xsl:with-param name="end" select="Files"/>
             <xsl:with-param name="maximum" select="Files"/>
             <xsl:with-param name="begin" select="FStart"/>
             <xsl:with-param name="count" select="FStart"/>
            </xsl:call-template>
           </xsl:when>
           <xsl:when test="FType = 4">
           <!--RAR - .001 .002 .003-->
            <xsl:call-template name="files_4_6">
             <xsl:with-param name="extension"></xsl:with-param>
             <xsl:with-param name="end" select="Files"/>
             <xsl:with-param name="maximum">100</xsl:with-param>
             <xsl:with-param name="begin" select="FStart"/>
             <xsl:with-param name="count" select="FStart"/>
            </xsl:call-template>
           </xsl:when>
           <xsl:when test="FType = 6">
           <!--RAR - .part01.rar .part02.rar .part03.rar-->
            <xsl:call-template name="files_4_6">
             <xsl:with-param name="filename" select="FName"/>
             <xsl:with-param name="extension">part</xsl:with-param>
             <xsl:with-param name="end" select="Files"/>
             <xsl:with-param name="maximum" select="Files"/>
             <xsl:with-param name="begin" select="FStart"/>
              <xsl:with-param name="count" select="FStart"/>
            </xsl:call-template>
           </xsl:when>
          </xsl:choose>
          <tr>
           <td width="20"></td>
           <td width="*"></td>
           <td width="20"></td>
           <td width="20"></td>
           <td width="*"></td>
           <td width="20"></td>
           <td width="20"></td>
           <td width="*"></td>
           <td width="20"></td>
          </tr>
         </table>
        </td>
       </tr>
      </table>
     </div>
    </td>
   </tr>
  </xsl:when>
 </xsl:choose>

 <tr>
  <td background="{$imgDir}/bleft.bmp">
   &nbsp;
  </td>
  <td background="{$imgDir}/mainbg.bmp">
   &nbsp;
  </td>
 </tr>

 <tr valign="top">
  <td background="{$imgDir}/bleft.bmp">
   &nbsp;
  </td>
  <td background="{$imgDir}/mainbg.bmp" style="padding-right: 15px; padding-top: 3px;">
   <table class="parometertable" border="1" cellspacing="0" cellpadding="0" width="100%">
    <tr>
     <td background="{$imgDir}/parm_bg.gif">
      <xsl:choose>
       <xsl:when test="AantalParFiles = -1">
        Er worden PAR2 blocks meegepost.
       </xsl:when>
       <xsl:otherwise>
        <xsl:choose>
         <xsl:when test="AantalParFiles = 1">
          Er wordt 1 PAR2 block (blocksize: <xsl:value-of select='ParBlockSize' /> bytes) meegepost.
         </xsl:when>
         <xsl:otherwise>
          Er worden <xsl:value-of select='AantalParFiles' /> PAR2 blocks (blocksize: <xsl:value-of select='ParBlockSize' /> bytes) meegepost.
         </xsl:otherwise>
        </xsl:choose>
       </xsl:otherwise>
      </xsl:choose>
     </td>
    </tr>
   </table>
  </td>
 </tr>

 <tr>
  <td background="{$imgDir}/bleft.bmp">
   &nbsp;
  </td>
  <td background="{$imgDir}/mainbg.bmp">
   &nbsp;
  </td>
 </tr>

<!-- FORUM -->
 <xsl:choose>
  <xsl:when test="NumReacties != 0">
   <tr valign='top'>
    <td background="{$imgDir}/bleft.bmp">
     <img src="{$imgDir}/header3.bmp" />
    </td>
    <td background="{$imgDir}/mainbg.bmp" style="padding-right: 15px; padding-top:3px;">
     <xsl:apply-templates name="Reactie" select="Reactie">
      <xsl:sort select="Stamp" order="ascending" />
     </xsl:apply-templates>

     <table width="100%" cellspacing="0" cellpadding="0" border="0">
      <tr>
       <td width="12">
        <img src="{$imgDir}/for_l.bmp" />
       </td>
       <td width="*" background="{$imgDir}/for_m.bmp">
        <img src="{$imgDir}/for_m.bmp" />
       </td>
       <td width="8">
        <img src="{$imgDir}/for_r.bmp" />
       </td>
      </tr>
     </table>
    </td>
   </tr>
  </xsl:when>
 </xsl:choose>
</table>

</xsl:template>

<xsl:template match="Newsgroup">
 <span style="white-space: nowrap;"><xsl:value-of select="Newsgroup" /></span>
</xsl:template>

<xsl:template match="Reactie">
     <table cellspacing="0" cellpadding="0" border="0" class="forum" style="font-size: 11px;" width="100%">
      <tr class="fh" style="text-align: left; font-size: 10px; color: #705E42; padding: 1px; padding-top: 0px; padding-bottom: 5px; padding-left: 5px;">
       <td width="13" background="{$imgDir}/frheader.bmp">
        <a name="newforum"><img alt="Nieuw forumbericht" src="{$imgDir}/post1.gif" /></a>
       </td>
       <td width="*" style="text-align: left; padding-left: 5px;" background="{$imgDir}/frheader.bmp">
        <a style="color:#705E42;" href="iets.html#info{Author}"><b><xsl:value-of select="Author" /></b></a>
        <a href="iets.html#ftdmail{Author}"><img src="{$imgDir}/mailicon2.gif" border="0" /></a>
        <!-- <a style="color:#705E42;" href="#newforum"><img src="newforum.gif" border="0" />nieuwe forumberichten</a> -->
       </td>
       <td width="15" background="{$imgDir}/frheader.bmp">
        <img src="{$imgDir}/frheader.bmp" />
       </td>
       <td width="49" style="color: #777777;" background="{$imgDir}/frheader.bmp">
        <xsl:variable name="Rat" select="substring((Kudos div 4), 1, 1)"/>
        <img src="{$imgDir}/kudos{$Rat}.jpg"/>
       </td>
       <td width="120" background="{$imgDir}/frheader.bmp">
        <xsl:value-of select="Datum" />
       </td>
       <td width="15" background="{$imgDir}/frheader.bmp">
        <img src="{$imgDir}/edit0.gif" />  <!-- FIXME: Wanneer moeten deze 2 knopjes 'bruikbaar' zijn ? -->
       </td>
       <td width="15" background="{$imgDir}/frheader.bmp">
        <img src="{$imgDir}/delete0.gif" />
       </td>
       <td width="15" background="{$imgDir}/frheader.bmp">
        <a href="iets.html#quote{MessID}"><img alt="Quote" onMouseOver="this.src = '{$imgDir}/quote2.gif'" onMouseOut="this.src = '{$imgDir}/quote.gif'" src="{$imgDir}/quote.gif" border="0" /></a>
       </td>
      </tr>
     </table>
     <table cellspacing="0" cellpadding="0" border="0" class="forum" style="font-size: 11px;" width="100%">
      <tr class="ft" style="text-align: left; background-color: #F6F1EA; color: #000000; padding: 10px; padding-top: 5px;">
       <xsl:choose>
        <xsl:when test="Avatar != ''">
         <td width="50" background="{$imgDir}/frbody.bmp">
          <center>
           <img border="0">
            <xsl:attribute name="src">
             <xsl:value-of select="Avatar" />
            </xsl:attribute>
           </img>
          </center>
         </td>
        </xsl:when>
       </xsl:choose>
       <td width="*" background="{$imgDir}/frbody.bmp">
        <xsl:value-of select="Body" disable-output-escaping="yes" />
       </td>
      </tr>
     </table>
</xsl:template>
<xsl:template name="files_4_6">
  <xsl:param name="end"/>
  <xsl:param name="maximum"/>
  <xsl:param name="begin"/>
  <xsl:param name="count"/>
  <xsl:param name="extension"/>
   <xsl:if test="not(3*$count &gt; ((Files mod 3)+$end+$begin))">
    <tr>
       <xsl:call-template name="print_file_4_6_grey">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count"/>
        <xsl:with-param name="extension" select="$extension"/>
        <xsl:with-param name="maximum" select="$maximum"/>
       </xsl:call-template>

       <xsl:call-template name="print_file_4_6_white">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count+ceiling(Files div 3)"/>
        <xsl:with-param name="extension" select="$extension"/>
        <xsl:with-param name="maximum" select="$maximum"/>
       </xsl:call-template>

       <xsl:call-template name="print_file_4_6_grey">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count+2*(ceiling(Files div 3))"/>
        <xsl:with-param name="extension" select="$extension"/>
        <xsl:with-param name="maximum" select="$maximum"/>
       </xsl:call-template>
</tr>
    <xsl:if test="not(3+3*$count &gt; (1+$end+$begin))">
    <tr>
       <xsl:call-template name="print_file_4_6_white">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="1+$count"/>
        <xsl:with-param name="extension" select="$extension"/>
        <xsl:with-param name="maximum" select="$maximum"/>
       </xsl:call-template>

       <xsl:call-template name="print_file_4_6_grey">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count+ceiling(Files div 3)+1"/>
        <xsl:with-param name="extension" select="$extension"/>
        <xsl:with-param name="maximum" select="$maximum"/>
       </xsl:call-template>

       <xsl:call-template name="print_file_4_6_white">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count+2*(ceiling(Files div 3))+1"/>
        <xsl:with-param name="extension" select="$extension"/>
        <xsl:with-param name="maximum" select="$maximum"/>
       </xsl:call-template>

    </tr>
    </xsl:if>
     <xsl:call-template name="files_4_6">
     <xsl:with-param name="count">
     <xsl:value-of select="2 + $count"/>
      </xsl:with-param>
      <xsl:with-param name="begin">
     <xsl:value-of select="$begin"/>
      </xsl:with-param>
      <xsl:with-param name="end">
     <xsl:value-of select="$end"/>
      </xsl:with-param>
      <xsl:with-param name="maximum">
     <xsl:value-of select="$maximum"/>
      </xsl:with-param>
      <xsl:with-param name="extension">
     <xsl:value-of select="$extension"/>
      </xsl:with-param>
    </xsl:call-template>
  </xsl:if>
</xsl:template>
<xsl:template name="files_3">
  <xsl:param name="end"/>
  <xsl:param name="maximum"/>
  <xsl:param name="begin"/>
  <xsl:param name="count"/>
  <xsl:param name="extension"/>
   <xsl:if test="not(3*$count &gt; ((Files mod 3)+$end+$begin))">
    <tr>
       <xsl:call-template name="print_file_3_grey">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count"/>
        <xsl:with-param name="extension" select="$extension"/>
        <xsl:with-param name="maximum" select="$maximum"/>
       </xsl:call-template>

       <xsl:call-template name="print_file_3_white">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count+ceiling(Files div 3)"/>
        <xsl:with-param name="extension" select="$extension"/>
        <xsl:with-param name="maximum" select="$maximum"/>
       </xsl:call-template>

       <xsl:call-template name="print_file_3_grey">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count+2*(ceiling(Files div 3))"/>
        <xsl:with-param name="extension" select="$extension"/>
        <xsl:with-param name="maximum" select="$maximum"/>
       </xsl:call-template>
</tr>
    <xsl:if test="not(3+3*$count &gt; (1+$end+$begin))">
    <tr>
       <xsl:call-template name="print_file_3_white">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="1+$count"/>
        <xsl:with-param name="extension" select="$extension"/>
        <xsl:with-param name="maximum" select="$maximum"/>
       </xsl:call-template>

       <xsl:call-template name="print_file_3_grey">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count+ceiling(Files div 3)+1"/>
        <xsl:with-param name="extension" select="$extension"/>
        <xsl:with-param name="maximum" select="$maximum"/>
       </xsl:call-template>

       <xsl:call-template name="print_file_3_white">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count+2*(ceiling(Files div 3))+1"/>
        <xsl:with-param name="extension" select="$extension"/>
        <xsl:with-param name="maximum" select="$maximum"/>
       </xsl:call-template>

    </tr>
    </xsl:if>
     <xsl:call-template name="files_3">
     <xsl:with-param name="count">
     <xsl:value-of select="2 + $count"/>
      </xsl:with-param>
      <xsl:with-param name="begin">
     <xsl:value-of select="$begin"/>
      </xsl:with-param>
      <xsl:with-param name="end">
     <xsl:value-of select="$end"/>
      </xsl:with-param>
      <xsl:with-param name="maximum">
     <xsl:value-of select="$maximum"/>
      </xsl:with-param>
      <xsl:with-param name="extension">
     <xsl:value-of select="$extension"/>
      </xsl:with-param>
    </xsl:call-template>
  </xsl:if>
</xsl:template>
<xsl:template name="files_1_2">
  <xsl:param name="end"/>
  <xsl:param name="begin"/>
  <xsl:param name="count"/>
   <xsl:if test="3*$count &lt;= $end - (Files mod 3)">
    <tr>
       <xsl:call-template name="print_file_1_2_grey">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count"/>
       </xsl:call-template>

       <xsl:call-template name="print_file_1_2_white">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count+ceiling(Files div 3)"/>
       </xsl:call-template>

       <xsl:call-template name="print_file_1_2_grey">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count+2*(ceiling(Files div 3))"/>
       </xsl:call-template>
    </tr>
    <xsl:if test="3*($count+1) &lt;= $end - (Files mod 3)">
    <tr>
       <xsl:call-template name="print_file_1_2_white">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count+1"/>
       </xsl:call-template>

       <xsl:call-template name="print_file_1_2_grey">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count+1+ceiling(Files div 3)"/>
       </xsl:call-template>

       <xsl:call-template name="print_file_1_2_white">
        <xsl:with-param name="end" select="Files"/>
        <xsl:with-param name="begin" select="FStart"/>
        <xsl:with-param name="count" select="$count+1+2*(ceiling(Files div 3))"/>
       </xsl:call-template>
    </tr>
    </xsl:if>
     <xsl:call-template name="files_1_2">
     <xsl:with-param name="count">
      <xsl:value-of select="2 + $count"/>
     </xsl:with-param>
     <xsl:with-param name="begin">
      <xsl:value-of select="$begin"/>
     </xsl:with-param>
     <xsl:with-param name="end">
      <xsl:value-of select="$end"/>
     </xsl:with-param>
    </xsl:call-template>
  </xsl:if>
</xsl:template>
<xsl:template name="print_file_4_6_grey">
 <xsl:param name="extension"/>
 <xsl:param name="maximum"/>
 <xsl:param name="count"/>
 <xsl:param name="end"/>
 <xsl:param name="begin"/>
      <td bgcolor="#EEEEEE">
       <img src="{$imgDir}/empty.gif" />
      </td>
      <td bgcolor="#EEEEEE">
       <span style="color:#444444">
    <xsl:if test="not($count &gt; (-1+$end+$begin))">
        <xsl:value-of select="FName"/>
        <xsl:text>.</xsl:text>
        <xsl:value-of select="$extension"/>
        <xsl:if test="$maximum &gt; 9">
         <xsl:if test="$count &lt; 10">
          <xsl:text>0</xsl:text>
         </xsl:if>
        </xsl:if>
        <xsl:if test="$maximum &gt; 99">
         <xsl:if test="$count &lt; 100">
          <xsl:text>0</xsl:text>
         </xsl:if>
        </xsl:if>
        <xsl:value-of select="$count"/>
        <xsl:if test="boolean(normalize-space($extension))">
         <xsl:text>.rar</xsl:text>
        </xsl:if>
    </xsl:if>
       </span>
      <td bgcolor="#EEEEEE">
       <span style="color:#444444"></span>
      </td>
      </td>
</xsl:template>
<xsl:template name="print_file_4_6_white">
 <xsl:param name="extension"/>
 <xsl:param name="maximum"/>
 <xsl:param name="count"/>
 <xsl:param name="end"/>
 <xsl:param name="begin"/>
      <td>
       <img src="{$imgDir}/empty.gif" />
      </td>
      <td>
       <span style="color:#444444">
    <xsl:if test="not($count &gt; (-1+$end+$begin))">
        <xsl:value-of select="FName"/>
        <xsl:text>.</xsl:text>
        <xsl:value-of select="$extension"/>
        <xsl:if test="$maximum &gt; 9">
         <xsl:if test="$count &lt; 10">
          <xsl:text>0</xsl:text>
         </xsl:if>
        </xsl:if>
        <xsl:if test="$maximum &gt; 99">
         <xsl:if test="$count &lt; 100">
          <xsl:text>0</xsl:text>
         </xsl:if>
        </xsl:if>
        <xsl:value-of select="$count"/>
        <xsl:if test="boolean(normalize-space($extension))">
         <xsl:text>.rar</xsl:text>
        </xsl:if>
      </xsl:if>
       </span>
      </td>
      <td>
       <span style="color:#444444"></span>
      </td>
</xsl:template>
<xsl:template name="print_file_3_grey">
 <xsl:param name="extension"/>
 <xsl:param name="maximum"/>
 <xsl:param name="count"/>
 <xsl:param name="end"/>
 <xsl:param name="begin"/>
      <td bgcolor="#EEEEEE">
       <img src="{$imgDir}/empty.gif" />
      </td>
      <td bgcolor="#EEEEEE">
       <span style="color:#444444">
    <xsl:if test="not($count &gt; (-1+$end+$begin))">
        <xsl:value-of select="FName"/>
        <xsl:value-of select="$count"/>
        <xsl:text>.</xsl:text>
        <xsl:value-of select="$extension"/>
    </xsl:if>
       </span>
      <td bgcolor="#EEEEEE">
       <span style="color:#444444"></span>
      </td>
      </td>
</xsl:template>
<xsl:template name="print_file_3_white">
 <xsl:param name="extension"/>
 <xsl:param name="maximum"/>
 <xsl:param name="count"/>
 <xsl:param name="end"/>
 <xsl:param name="begin"/>
      <td>
       <img src="{$imgDir}/empty.gif" />
      </td>
      <td>
       <span style="color:#444444">
    <xsl:if test="not($count &gt; (-1+$end+$begin))">
        <xsl:value-of select="FName"/>
        <xsl:value-of select="$count"/>
        <xsl:text>.</xsl:text>
        <xsl:value-of select="$extension"/>
    </xsl:if>
       </span>
      </td>
      <td>
       <span style="color:#444444"></span>
      </td>
</xsl:template>
<xsl:template name="print_file_1_2_grey">
 <xsl:param name="count"/>
 <xsl:param name="end"/>
 <xsl:param name="begin"/>
      <td bgcolor="#EEEEEE">
       <img src="{$imgDir}/empty.gif" />
      </td>
      <td bgcolor="#EEEEEE">
       <span style="color:#444444">
    <xsl:if test="not($count &gt; (-1+$end+$begin))">
      <xsl:value-of select="FName"/>
       <xsl:text>.</xsl:text>
        <xsl:choose>
         <xsl:when test="$count = $begin">
          <xsl:choose>
           <xsl:when test="FType = 1">
            <xsl:text>rar</xsl:text>
           </xsl:when>
           <xsl:when test="FType = 2">
            <xsl:text>ace</xsl:text>
           </xsl:when>
          </xsl:choose>
         </xsl:when>
         <xsl:otherwise>
          <xsl:choose>
           <xsl:when test="FType = 1">
            <xsl:text>r</xsl:text>
           </xsl:when>
           <xsl:when test="FType = 2">
            <xsl:text>a</xsl:text>
           </xsl:when>
          </xsl:choose>
          <xsl:if test="$count - 1 &lt; 10">
           <xsl:text>0</xsl:text>
          </xsl:if>
          <xsl:value-of select="$count - 1"/>
         </xsl:otherwise>
        </xsl:choose>
    </xsl:if>
       </span>
      </td>
      <td bgcolor="#EEEEEE">
       <span style="color:#444444"></span>
      </td>
</xsl:template>
<xsl:template name="print_file_1_2_white">
 <xsl:param name="count"/>
 <xsl:param name="end"/>
 <xsl:param name="begin"/>
      <td>
       <img src="{$imgDir}/empty.gif" />
      </td>
      <td>
       <span style="color:#444444">
    <xsl:if test="not($count &gt; (-1+$end+$begin))">
      <xsl:value-of select="FName"/>
       <xsl:text>.</xsl:text>
         <xsl:choose>
          <xsl:when test="FType = 1">
           <xsl:text>r</xsl:text>
          </xsl:when>
          <xsl:when test="FType = 2">
           <xsl:text>a</xsl:text>
          </xsl:when>
         </xsl:choose>
         <xsl:if test="$count - 1 &lt; 10">
          <xsl:text>0</xsl:text>
         </xsl:if>
         <xsl:value-of select="$count - 1"/>
      </xsl:if>
       </span>
      </td>
      <td>
       <span style="color:#444444"></span>
      </td>
</xsl:template>
</xsl:stylesheet>
